{ lib, config, ... }:

{
  # TODO: slow when colors are enabled, use lsd instead?
  # https://github.com/eza-community/eza/issues/922
  programs.eza.enable = true;
  programs.eza.enableAliases = lib.mkIf (lib.versionOlder config.home.version.release "24.05") true;
  programs.eza.enableBashIntegration = true;
  programs.eza.enableZshIntegration = true;
  #programs.eza.icons = "auto"; # --icons=auto
  programs.eza.extraOptions = [ "--group" "--group-directories-first" ];
}
